### Function

# Gimp value_dup_float_array

#### Declaration [src]

    gdouble*
    gimp_value_dup_float_array (
      const GValue* value
    )

#### Description [src]

Gets the contents of a `GIMP_TYPE_FLOAT_ARRAY` `GValue`.

#### Parameters

`value` | `GValue`
| A valid value of type `GIMP_TYPE_FLOAT_ARRAY`.
| The data is owned by the caller of the function.

#### Return value

Returns: | An array of `gdouble`
| The contents of `value`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.